import request from '@/utils/request'

// 获取黑名单列表数据
export function getBlackLists(params) {
  return request({
    url: 'api/setblackList/getlistbypage',
    method: 'get',
    params
  })
}

// 获取黑名单数据
export function getBlack(id) {
  return request({
    url: 'api/setblackList/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加黑名单数据
export function addBlack(data) {
  return request({
    url: 'api/setblackList/add',
    method: 'post',
    data
  })
}

// 编辑黑名单数据
export function editBlack(data) {
  return request({
    url: 'api/setblackList/update',
    method: 'post',
    data
  })
}

// 删除黑名单数据
export function deleteBlack(ids) {
  return request({
    url: 'api/setblackList/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
